<?php
session_start();
$activePage = 'User'; 

include("../elements/functions.php");
if (isset($_SESSION['token'])) {
    $token = $_SESSION['token'];

    if ($_SERVER['REQUEST_METHOD'] == 'POST') {


 //----------------------------API CALL--------------------//
 $jsonFilePath = __DIR__ . '/../urls/api_endpoints.json';
 $jsonData = file_get_contents($jsonFilePath);
 $endpoints = json_decode($jsonData, true);
 $url = $endpoints['user'];
//----------------------- ENDS HERE-------------------------//

        
        $_SESSION['valid'] = $_POST['valid_from'];
        $_SESSION['expire'] = $_POST['expire'];
        $_SESSION['acess'] = $_POST['access'];
        $_SESSION['pid'] = $_POST['pid'];
        $_SESSION['role_id'] = $_POST['role'];
        
            // Initialize session variables for actions
        $_SESSION['access_duration'] = null;
        $_SESSION['unregdate'] = null;

        // Get the selected action
        $selectedAction = $_POST['actions'];

        // Store the value based on the selected action
        if ($selectedAction === 'access_duration') {
            $_SESSION['access_duration'] = $_POST['value']; // Assuming the input name for the value is 'value'
        } elseif ($selectedAction === 'unregdate') {
            $_SESSION['unregdate'] = $_POST['value']; // Assuming the input name for the value is 'value'
        }
    
        //left -API fields -Right :input fields//
        $data = [
            "pid" =>  $_SESSION['pid'],
            "firstname" => $_POST['firstname'],
            "lastname" => $_POST['lastname'],
            "email" => $_POST['email'],
            "custom_field_1" => $_POST['designation']
           // "custom_field_2" => $_POST['department'],
        ];
      $response =  make_post_request($url, $data);
    


      
        if ($response === FALSE) {
            $response = json_encode(['status' => 'error', 'message' => 'An error occurred']);
        }

        $response_data = json_decode($response, true);

        if ($response_data['status'] === 201) {
            //echo '<script>window.location.href = "../user/userlist.php";</script>';
            $_SESSION['message']="User Created Successfully";
            $redirect_page="../user/create_user_password.php";

        } elseif ($response_data['status'] === 409) {
            $_SESSION['message'] = 'User not created . User already exists';
            $redirect_page="../user/createuser.php";
        }
        else{
            $_SESSION['message'] = $response_data[''];
            $redirect_page="../user/createuser.php";
        }
        } else {
        header('Location: ../index.php');
        exit();
        }

    }
    
?>





<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create User</title>
    <link rel="stylesheet" href="/admin/css/create_user.css" type="text/css">
</head>
<body>
    <div id="popup" class="popup">
        <div class="popup-user-create-meg">
            <p id="popup-message"></p>
        </div>
    </div>
    
    <script>
        <?php if (isset($_SESSION['message'])): ?>
            var popup = document.getElementById("popup");
            var popupMessage = document.getElementById("popup-message");
            popupMessage.textContent = "<?php echo $_SESSION['message']; ?>";
            popup.style.display = "block";
            setTimeout(function() {
                popup.style.display = "none";
                window.location.href = "<?php echo $redirect_page; ?>";// Redirect after 3 seconds
            }, 2000); // Automatically close the popup after 3 seconds
            
           
            <?php unset($_SESSION['message']); // Clear the message after displaying ?>
           
        <?php endif; ?>
    </script>
</body>
</html>
